package ACL2::Tags;

#
#    Módulo de valores constantes
#    Copyright (C) 2006-2008 Antonio García Domínguez
#    $Id$
#
#    This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

use strict;
use warnings;

require Exporter;
our @ISA = qw(Exporter);

#################### Constantes

use constant {
    ABANDONOTF_TAG => "abandon",
    ADMISSION_TAG => "admission",
    CERTIFYBOOK_TAG => "certifybook",
    CHECKSUM_TAG => "checksum",
    CLIQUE_FUNC_TAG => "clique_func",
    CLIQUE_TAG => "clique",
    COMPILE_TAG => "compilation",
    CROSSFERT_TAG => "crossfert",
    DEFPKG_TAG => "defpkg",
    DEFTHM_TAG => "defthm",
    DEFUN_TAG => "defun",
    DEP_TAG => "dep",
    DEPS_TAG => "deps",
    DEPSTORAGE_TAG => "deps_storage",
    DESTRUCTTERMS_TAG => "destruct_terms",
    DESTRUCTTERM_TAG => "destruct_term",
    DISCARD_TAG => "discard",
    ELIMINATE_TAG => "elim",
    ENCAPSULATE_TAG => "encapsulate",
    ERROR_TAG => "error",
    EVENT_TAG => "event",
    EVENTS_TAG => "events",
    FAILURE_TAG => "failure",
    GENERALIZE_TAG => "generalize",
    HYPOTH_TAG => "hypothesis",
    INCLUDEBOOK_TAG => "includebook",
    INCLUSIONCHECK_TAG => "includechk",
    INDSUGGS_TAG => "suggestions",
    INDUCT_TAG => "induction",
    INPACKAGE_TAG => "inpackage",
    LOCAL_TAG => "local",
    LOGIC_TAG => "logic",
    MAIN_TAG => "script",
    NOTIPO_TAG => "notype",
    NOT_A_THEOREM_TAG => "nottheorem",
    OBSERVATION_TAG => "observation",
    OUTPUT_TAG => "output",
    PARAGRAPH_TAG => "paragraph",
    PROGRAM_TAG => "program",
    PREINDUCTION_TAG => "preinduction",
    REPLACEMENTS_TAG => "replacements",  
    REPLACEMENT_TAG => "replacement",  
    RESTRICTFUNC_TAG => "restriction_func",
    RESTRICTVAR_TAG => "restriction_var",
    RULECLASSES_TAG => "rule_classes",
    RULECLASS_TAG => "rule_class",
    RULES_TAG => "rules",
    RULE_TAG => "rule",
    SEXPR_TAG => "sexpr",
    SIGNATURES_TAG => "signatures",
    SIGNATURE_TAG => "signature",
    SIMPL_TAG => "simp",
    SUBGOAL_TAG => "subgoal",
    SUMMARY_TAG => "summary",
    THM_TAG => "thm",
    TIME_TAG => "time",
    TIPO_TAG => "type",
    VERIFICATION_TAG => "verification",
    WARNINGS_TAG => "warnings",
    WARNING_TAG => "warning",
    WRITECERT_TAG => "write_cert",
    };

1;
